Subject: Re: bug#5553: 23.1.92; Archives with wrong coding system

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Feb 2010 00:34:00 +0200

> From: Juri Linkov <[email-masked]>
> Date: Tue, 09 Feb 2010 23:19:27 +0200
> Cc: 
> 
> When `archive-mode' is enabled for an archive file with an unknown file
> extension, using the rule ("\\(PK00\\)?[P]K\003\004" . archive-mode)
> from `magic-fallback-mode-alist', visiting such a file fails with the
> args-out-of-range error.
> 
> The following patch should fix this bug using the same regexp as in
> `magic-fallback-mode-alist' and the same coding system as for archive
> file extensions in `auto-coding-alist':

Thanks, but please provide a self-contained recipe for reproducing the
problem, starting with "emacs -Q".